* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	scroll-behavior: smooth;
	font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
}

.Loading {
	z-index: 1000;
	background-color: #282c34;
	min-height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
}

.Overlay {
	position: fixed;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
	background-color: rgba(0, 0, 0, 0.75);
	z-index: 100;
	display: flex;
	justify-content: center;
	align-items: center;

	.Modal {
		z-index: 200;
		color: black;
		background: #fff;
		top: 50%;
		left: 50%;
		padding: 1.5em;
		border: 2px solid #444;
		width: 900px;
		border-radius: 13px;
		height: 600px;
		display: flex;
		justify-content: space-between;

		.Details {
			> * {
				margin: 0.25em 0;
			}

			li {
				font-size: 1.25rem;
				padding-left: 1em;
			}

			h1 {
				font-size: 2.5rem;
			}

			p,
			span {
				font-size: 1.75rem;
			}
		}

		svg {
			font-size: 4rem;
			cursor: pointer;
			position: relative;
			right: 0;
		}

		img {
			max-height: 100%;
			border-radius: 15px;

			@media (max-width: 768px) {
				display: none;
			}

			@media (max-height: 500px) {
				display: none;
			}
		}

		.Modal-loading {
			width: 100%;
			height: 100%;
			display: flex;
			align-items: center;
			justify-content: center;
		}

		@media (max-width: 768px) {
			width: 95%;
			height: 85%;
		}

		@media (max-width: 450px) {
			.Details {
				h1 {
					font-size: 2rem;
				}

				p,
				span {
					font-size: 1.3rem;
				}

				li {
					font-size: 1rem;
					padding-left: 1em;
				}
			}

			svg {
				font-size: 3rem;
			}
		}
	}
}

.App {
	background-color: #282c34;
	min-height: 100vh;
	display: grid;
	grid-template-rows: 100px 100px 1fr 150px;
	font-size: calc(10px + 2vmin);
	color: white;
	text-align: center;

	.App-header {
		z-index: 50;
		box-shadow: 0 2px 5px black;
		position: sticky;
		top: 0;
		background-color: #282c34;
		display: grid;
		justify-content: center;
		grid-template-columns: minmax(250px, 800px);

		.Search-input {
			padding: 0 3em;

			input[type='text'] {
				padding-left: 5px;
				height: 2em;
				background-color: white;
				box-shadow: 0 2px 5px black;
			}
		}
	}

	.App-filter {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;

		.checkbox {
			margin: 0 0.3em;
			display: flex;
			justify-content: center;
			align-items: center;

			span {
				font-size: 1.25rem;
				font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif;
			}
		}
	}

	.App-main {
		align-self: center;
		display: flex;
		justify-content: center;
		flex-wrap: wrap;
		padding-top: 1em;

		@media (max-width: 750px) {
			padding-top: 6em;
		}

		@media (max-width: 350px) {
			padding-top: 9em;
		}

		.card {
			flex-basis: 320px;
			background-color: #24282f;
			border-radius: 13px;
			padding: 5px;
			margin: 18px 12px;
			box-shadow: 0 2px 5px black;

			@media (max-width: 1440) {
				display: none;
			}

			&:hover {
				transform: scale(1.1);
				transition-duration: 0.5s;
			}

			img {
				cursor: pointer;
				border-radius: 13px;
				width: 100%;
			}

			p {
				font-weight: 700;
				text-shadow: 0 2px 5px black;
				letter-spacing: 3px;
				padding: 3px 0 7px 0;
				line-height: 100%;
			}
		}
	}

	.App-footer {
		display: flex;
		justify-content: center;
		align-items: center;
	}
}
